import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams, ViewController } from 'ionic-angular'
import {Validators, FormBuilder, FormGroup } from '@angular/forms';
import { DishProvider } from '../../providers/dish/dish';
import { Dish } from '../../shared/dish';
import { Comment } from '@angular/compiler';



/**
 * Generated class for the CommentPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-comment',
  templateUrl: 'comment.html',
})
export class CommentPage  {
  comment: Comment;
  commentForm: FormGroup;
  constructor(public navCtrl: NavController, public navParams: NavParams,
    public viewCtrl: ViewController,
    private formBuilder: FormBuilder,
    private dishservice : DishProvider) {
      this.commentForm = this.formBuilder.group({
        rating: '5',
        comment: ['', [Validators.required, Validators.minLength(2), Validators.maxLength(25)] ],
        author: ['', [Validators.required, Validators.minLength(2), Validators.maxLength(25)] ],
        date: new Date().toISOString()
      });
  }


  ionViewDidLoad() {
    console.log('ionViewDidLoad CommentPage');
  }

    
  dismiss() {
    this.viewCtrl.dismiss();
  }

  onSubmit() {
    console.log(this.commentForm.value);
    this.viewCtrl.dismiss(this.commentForm.value)
  
    
    
  }
}
